## r-cran-expint 0.1

=== DESCRIPTION ===
Package: expint
Type: Package
Title: Exponential Integral and Incomplete Gamma Function
Version: 0.1-6
Date: 2019-12-03
Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
 	            email = "vincent.goulet@act.ulaval.ca"),
	     person("Gerard", "Jungman", role = "aut",
	            email = "jungman@lanl.gov",
		    comment = "Original GSL code"),
	     person("Brian", "Gough", role = "aut",
	            email = "jungman@lanl.gov",
		    comment = "Original GSL code"),
	     person("Jeffrey A.", "Ryan", role = "aut",
	            email = "jeff.a.ryan@gmail.com",
		    comment = "Package API"),
	     person("Robert", "Gentleman", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person("Ross", "Ihaka", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person(family = "R Core Team", role = "aut",
	            comment = "Parts of the R to C interface"),
	     person(family = "R Foundation", role = "aut",
	            comment = "Parts of the R to C interface"))
Description: The exponential integrals E_1(x), E_2(x), E_n(x) and
  Ei(x), and the incomplete gamma function G(a, x) defined for
  negative values of its first argument. The package also gives easy
  access to the underlying C routines through an API; see the package
  vignette for details. A test package included in sub-directory
  example_API provides an implementation. C routines derived from the
  GNU Scientific Library <https://www.gnu.org/software/gsl/>.
Depends: R (>= 3.3.0)
License: GPL (>= 2)
URL: https://gitlab.com/vigou3/expint
BugReports: https://gitlab.com/vigou3/expint/issues
Encoding: UTF-8
LazyLoad: yes
LazyData: yes
NeedsCompilation: yes
Packaged: 2019-12-03 21:04:58 UTC; vincent
Author: Vincent Goulet [cre, aut],
  Gerard Jungman [aut] (Original GSL code),
  Brian Gough [aut] (Original GSL code),
  Jeffrey A. Ryan [aut] (Package API),
  Robert Gentleman [aut] (Parts of the R to C interface),
  Ross Ihaka [aut] (Parts of the R to C interface),
  R Core Team [aut] (Parts of the R to C interface),
  R Foundation [aut] (Parts of the R to C interface)
Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
Repository: CRAN
Date/Publication: 2019-12-04 07:50:03 UTC

## r-cran-expint 0.1-6

=== debian/changelog ===
r-cran-expint (0.1-6-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 25 Dec 2019 17:18:51 +0100

r-cran-expint (0.1-5-1) unstable; urgency=medium

  * Initial release (closes: #944749)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Nov 2019 10:04:19 +0100

=== debian/control ===
Source: r-cran-expint
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
Homepage: https://cran.r-project.org/package=expint

Package: r-cran-expint
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R exponential integral and incomplete Gamma function
 The exponential integrals E_1(x), E_2(x), E_n(x) and
 Ei(x), and the incomplete gamma function G(a, x) defined for
 negative values of its first argument. The package also gives easy
 access to the underlying C routines through an API; see the package
 vignette for details. A test package included in sub-directory
 example_API provides an implementation. C routines derived from the
 GNU Scientific Library <https://www.gnu.org/software/gsl/>.

## r-cran-expint 0.1-7

=== debian/changelog ===
r-cran-expint (0.1-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2022 21:00:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-expint
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
 Homepage: https://cran.r-project.org/package=expint
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-expint
 Architecture: any

## r-cran-expint 0.1-8

=== debian/changelog ===
r-cran-expint (0.1-8-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:45:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
 Homepage: https://cran.r-project.org/package=expint
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/expint_([-\d.]*)\.tar\.gz

## r-cran-expint 0.1-9

=== debian/changelog ===
r-cran-expint (0.1-9-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 13 Jan 2026 17:36:55 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-expint
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
 Homepage: https://cran.r-project.org/package=expint
-Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-expint
 Architecture: any

## r-cran-expint 0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: expint
 Type: Package
 Title: Exponential Integral and Incomplete Gamma Function
-Version: 0.1-6
-Date: 2019-12-03
+Version: 0.2-1
+Date: 2026-01-26
 Authors@R: c(person("Vincent", "Goulet", role = c("cre", "aut"),
  	            email = "vincent.goulet@act.ulaval.ca"),
 	     person("Gerard", "Jungman", role = "aut",
@@ -18,9 +18,9 @@
 	            comment = "Parts of the R to C interface"),
 	     person("Ross", "Ihaka", role = "aut",
 	            comment = "Parts of the R to C interface"),
-	     person(family = "R Core Team", role = "aut",
+	     person(given = "R Core Team", role = "aut",
 	            comment = "Parts of the R to C interface"),
-	     person(family = "R Foundation", role = "aut",
+	     person(given = "R Foundation", role = "aut",
 	            comment = "Parts of the R to C interface"))
 Description: The exponential integrals E_1(x), E_2(x), E_n(x) and
   Ei(x), and the incomplete gamma function G(a, x) defined for
@@ -30,14 +30,13 @@
   example_API provides an implementation. C routines derived from the
   GNU Scientific Library <https://www.gnu.org/software/gsl/>.
 Depends: R (>= 3.3.0)
+Suggests: gsl, pracma
 License: GPL (>= 2)
 URL: https://gitlab.com/vigou3/expint
-BugReports: https://gitlab.com/vigou3/expint/issues
+BugReports: https://gitlab.com/vigou3/expint/-/issues
 Encoding: UTF-8
-LazyLoad: yes
-LazyData: yes
 NeedsCompilation: yes
-Packaged: 2019-12-03 21:04:58 UTC; vincent
+Packaged: 2026-01-26 19:47:11 UTC; vincent
 Author: Vincent Goulet [cre, aut],
   Gerard Jungman [aut] (Original GSL code),
   Brian Gough [aut] (Original GSL code),
@@ -48,4 +47,4 @@
   R Foundation [aut] (Parts of the R to C interface)
 Maintainer: Vincent Goulet <vincent.goulet@act.ulaval.ca>
 Repository: CRAN
-Date/Publication: 2019-12-04 07:50:03 UTC
+Date/Publication: 2026-01-27 06:10:36 UTC

=== vignettes/Makefile ===
### -*-Makefile-*- to build expint vignettes
##
##  AUTHOR: Vincent Goulet <vincent.goulet@act.ulaval.ca>

## List of vignettes to build
VIGNETTES = expint.pdf

## Toolset
SWEAVE = "$(R_HOME)/bin/R" CMD Sweave --encoding="utf-8"
TEXI2DVI = LATEX=xelatex texi2dvi -b
RM = rm -rf

all: pdf

%.pdf: %.tex
	${TEXI2DVI} '$<'

.PHONY: pdf
pdf: ${VIGNETTES}

.PHONY: clean
clean:
	${RM} *.tex *-[0-9][0-9][0-9].pdf \
	      *.aux *.bbl *.blg *.log *.out *~ Rplots* \
	      auto/ share/auto/

## r-cran-expint 0.2-0

=== debian/changelog ===
r-cran-expint (0.2-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 22 Jan 2026 08:55:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-expint
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
+Homepage: https://cran.r-project.org/package=expint
+Standards-Version: 4.7.3
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                architecture-is-64-bit,
                architecture-is-little-endian
-Standards-Version: 4.7.3
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
-Homepage: https://cran.r-project.org/package=expint
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-expint
 Architecture: any

## r-cran-expint 0.2-1

=== debian/changelog ===
r-cran-expint (0.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Create dh-make-R generic autopkgtests.

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Feb 2026 11:17:15 +0900

=== debian/control ===
Source: r-cran-expint
Section: gnu-r
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-expint
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-expint.git
Homepage: https://cran.r-project.org/package=expint
Standards-Version: 4.7.3
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 architecture-is-little-endian,
Testsuite: autopkgtest-pkg-r

Package: r-cran-expint
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R exponential integral and incomplete Gamma function
 The exponential integrals E_1(x), E_2(x), E_n(x) and
 Ei(x), and the incomplete gamma function G(a, x) defined for
 negative values of its first argument. The package also gives easy
 access to the underlying C routines through an API; see the package
 vignette for details. A test package included in sub-directory
 example_API provides an implementation. C routines derived from the
 GNU Scientific Library <https://www.gnu.org/software/gsl/>.

=== debian/tests/control ===
Tests: generic
Restrictions: allow-stderr
Depends:
 @,
 r-cran-gsl,
 r-cran-pracma,
